POST api/NTMedicalRecodeRequest/RemoveSelectedFileList

Request Information

URI Parameters

None.

Body Parameters

MedicalRecordRequestDocumentDto
NameDescriptionTypeAdditional information
Id

integer

None.

MedicalRecordRequestId

integer

None.

KeyName

string

String length: inclusive between 0 and 1500

DocumentName

string

String length: inclusive between 0 and 1000

DocumentType

integer

None.

isSelected

boolean

None.

COSFormDocumentId

integer

None.

CaseNo

integer

None.

EncounterId

integer

None.

CorporationCode

string

String length: inclusive between 0 and 8000

TokenId

string

String length: inclusive between 0 and 8000

entityTypeId

integer

None.

entityId

integer

None.

COSFormDocumentName

string

String length: inclusive between 0 and 100

RecordId

string

String length: inclusive between 0 and 1500

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "Id": 1,
  "MedicalRecordRequestId": 2,
  "KeyName": "sample string 3",
  "DocumentName": "sample string 4",
  "DocumentType": 5,
  "isSelected": true,
  "COSFormDocumentId": 7,
  "CaseNo": 8,
  "EncounterId": 9,
  "CorporationCode": "sample string 10",
  "TokenId": "sample string 11",
  "entityTypeId": 1,
  "entityId": 1,
  "COSFormDocumentName": "sample string 12",
  "RecordId": "sample string 13",
  "ValidFlag": true,
  "DateCreated": "2026-08-04T02:09:38.8127336-07:00",
  "DateUpdated": "2026-08-04T02:09:38.8127336-07:00",
  "UserIDCreated": 17,
  "UserIDUpdated": 18,
  "CompanyCode": "sample string 19",
  "IsExcludeDiscount": true
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfMedicalRecordRequestDocumentDto
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

MedicalRecordRequestDocumentDto

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "Id": 1,
    "MedicalRecordRequestId": 2,
    "KeyName": "sample string 3",
    "DocumentName": "sample string 4",
    "DocumentType": 5,
    "isSelected": true,
    "COSFormDocumentId": 7,
    "CaseNo": 8,
    "EncounterId": 9,
    "CorporationCode": "sample string 10",
    "TokenId": "sample string 11",
    "entityTypeId": 1,
    "entityId": 1,
    "COSFormDocumentName": "sample string 12",
    "RecordId": "sample string 13",
    "ValidFlag": true,
    "DateCreated": "2026-08-04T02:09:38.8284282-07:00",
    "DateUpdated": "2026-08-04T02:09:38.8284282-07:00",
    "UserIDCreated": 17,
    "UserIDUpdated": 18,
    "CompanyCode": "sample string 19",
    "IsExcludeDiscount": true
  },
  "totalCount": 3
}